Manage accounts
Accounts hold funds used to send payments.
You can:
- Retrieve available accounts
- Check current balances
- View account activity (debits and credits)
List accounts
List all the accounts available to your organisation.
GET /api/account
For full request and response details, see List accounts.
Example request
GET https://staging-api.vitessepsp.com/api/accountExample response
[
{
"AccountId": 4152,
"AccountName": "Blue Plain - Canada Property 1",
"Links": [
{
"Href": "https://staging-api.vitessepsp.com/api/account/4152",
"Rel": "related",
"Title": "Account Entries"
}
]
},
{
"AccountId": 4111,
"AccountName": "Insurova - Carrier Funding",
"Links": [
{
"Href": "https://staging-api.vitessepsp.com/api/account/4111",
"Rel": "related",
"Title": "Account Entries"
}
]
}
]Each account includes:
AccountId– unique account identifier used when retrieving balances, account entries, and creating account movementsAccountName– account nameLinkscollection – contains the URL for retrieving the account entries resource
List account balances
Retrieve the current balances for all accounts.
GET /api/accountBalances
For full request and response details, see List account balances.
Example request
GET https://staging-api.vitessepsp.com/api/accountBalancesExample response
[
{
"AccountId": 4152,
"AccountName": "Blue Plain - Canada Property 1",
"Alias": "BPCANPROP1",
"Balance": 1097058.00,
"Code": "BPC",
"CreatedOn": "2026-05-12T16:42:00Z",
"CreditTotal": 1100000.00,
"Currency": "USD",
"DebitTotal": 2942.00,
"FcpEnabled": false,
"FundingBalance": 0.00,
"LastUpdatedOn": "2026-05-13T10:15:00Z",
"MerchantAccountProductType": "Standard",
"MerchantAccountSubtype": "Standard",
"Overdraft": 0.00
},
{
"AccountId": 4111,
"AccountName": "Insurova - Carrier Funding",
"Alias": "INSFUNDGBP",
"Balance": 1773221.00,
"Code": "INS",
"CreatedOn": "2026-05-01T09:00:00Z",
"CreditTotal": 2000000.00,
"Currency": "GBP",
"DebitTotal": 226779.00,
"FcpEnabled": false,
"FundingBalance": 1773221.00,
"LastUpdatedOn": "2026-05-22T10:15:00Z",
"MerchantAccountProductType": "Standard",
"MerchantAccountSubtype": "Funding",
"Overdraft": 0.00
}
]Retrieve an account balance
Retrieve the balance for a specified account.
GET /api/accountBalances/{accountId}
For full request and response details, see Retrieve account balance.
Example request
GET https://staging-api.vitessepsp.com/api/accountBalances/4152Example response
{
"AccountId": 4152,
"AccountName": "Blue Plain - Canada Property 1",
"Alias": "BPCANPROP1",
"Balance": 1097058.00,
"Code": "BPC",
"CreatedOn": "2026-05-12T16:42:00Z",
"CreditTotal": 1100000.00,
"Currency": "USD",
"DebitTotal": 2942.00,
"FcpEnabled": false,
"FundingBalance": 0.00,
"LastUpdatedOn": "2026-05-13T10:15:00Z",
"MerchantAccountProductType": "Standard",
"MerchantAccountSubtype": "Standard",
"Overdraft": 0.00
}List account entries
Retrieve all the account entries for a specified account when you need the transaction history and account activity.
GET /api/account/{accountId}
For full request and response details, see List account entries.
Example request
GET https://staging-api.vitessepsp.com/api/account/4152Example response
{
"AccountEntrySummaries": [
{
"AccountCurrencyCode": "USD",
"AccountEntryId": 902341,
"AccountEntryTypeName": "Payout",
"AccountId": 4152,
"Amount": 2942.00,
"Balance": 1097058.00,
"CreatedOn": "2026-05-13T10:15:00Z",
"DestinationCurrencyCode": "USD",
"DestinationValue": 2942.00,
"EntryNumber": 128,
"ExchangeRate": 1.0,
"IsDebit": true,
"Narrative": "Claim payment",
"SourceCurrencyCode": "USD",
"SourceValue": 2942.00,
"TransactionReference1": "5838386",
"TransactionReference2": "CLM38514",
"TransactionRequestId": "747101ce-2d0c-41bd-ae4a-ba5a0c267c70"
},
{
"AccountCurrencyCode": "USD",
"AccountEntryId": 902340,
"AccountEntryTypeName": "Merchant Liquidity",
"AccountId": 4152,
"Amount": 1100000.00,
"Balance": 1100000.00,
"CreatedOn": "2026-05-12T16:42:00Z",
"EntryNumber": 127,
"IsDebit": false,
"Narrative": "Funding received",
"TransactionReference1": "FND20260512",
"TransactionReference2": "Blue Plain Canada Property"
}
],
"Links": []
}Understanding the response
Account entries record debits (IsDebit = true) and credits (IsDebit = false) against an account.
Each entry includes:
- The entry
Amount - The resulting account
Balance - The account entry type (
AccountEntryTypeName), for examplePayoutorMerchant Liquidity - A
CreatedOntimestamp when the entry was recorded
The first entry in an account is always the initial balance – "EntryNumber": 0.
Entries related to a transaction include the corresponding TransactionRequestId.
Account entries are returned in reverse chronological order, with the most recent activity first.
Pagination
Account entries are returned in pages.
Use the following query parameters to control pagination:
| Parameter | Description |
|---|---|
count | Number of entries to return (maximum 100)
|
maxId | Return entries with IDs lower than the specified value |
If more results are available, the response includes a Links object containing a Next Page URL. Use this URL to retrieve the next page of results.
Example request
GET https://staging-api.vitessepsp.com/api/account/4152?count=100&maxId=5000Updated 26 days ago